<!-- ============================================================== -->
<!-- Contenido de reservas de todos los usuarios -->
<!-- ============================================================== -->
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-6 col-8 align-self-center">
            <h3 class="text-themecolor m-b-0 m-t-0"><a href="#" >Reservas</a></h3>
        </div>
    </div>
    <!-- Row -->
    <div class="row">
        <!-- total de reservas -->
        <div class="col-sm-2">
            <div class="card">
                <div class="card-block">
                    <h4 class="card-title">Numero Reservas</h4>
                    <div class="text-right">
                        <h2 class="font-light m-b-0"><i class="ti-arrow-up text-success"></i>{{reserva.length}}</h2>
                        <span class="text-muted">Reservas</span>
                    </div>
                </div>
            </div>
        </div>
        <!-- fin de total de reservas -->
        <!--  calcular el total de imgresos -->
        <div class="col-sm-2">
            <div class="card">
                <div class="card-block">
                    <h4 class="card-title">Total de Ingresos</h4>
                    <div class="text-right">
                        <h2 class="font-light m-b-0"><i class="ti-arrow-up text-info"></i>
                            <script>
                                var total = 0;
                                {{#each reserva}}
                                total += {{this.valorTotal}};
                                {{/each}}
                                        document.write('$ ' + total);
                            </script>
                        </h2>
                        <span class="text-muted">Ingresos</span>
                    </div>
                </div>
            </div>
        </div>
         <!-- fin de calcular el total de imgresos -->
    </div>
    <!-- Row -->
    <!-- RESERVAS-->
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-block">
                    <h4 class="card-title">Lista de reservas</h4>
                    <a href="/reporte" class="btn btn-success">Descargar reporte</a>
                    <div class="table-responsive m-t-40">
                        <table class="table stylish-table" id="tablaReservas">
                            <thead>
                                <tr>
                                    <th>Foto</th>
                                    <th>Nombres</th>
                                    <th>Fecha</th>
                                    <th>Nro Cancha</th>
                                    <th>Hora Inicio</th>
                                    <th>Hora Final</th>
                                    <th>Valor</th>
                                    <th>Tarjeta</th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each reserva}}
                                <tr>
                                    <!--listar reservas de todos cleintes-->
                                    <td><span class="round"><img src="/images/personaPerfil/{{this.foto}}" style="width: 50px; height: 50px; border-radius: 100%;"/></span></td>
                                    <td>{{this.nombres}}</td>
                                    <td>{{this.fecha}}</td>
                                    <td>{{this.nroCancha}}</td>
                                    <td>{{this.horaInicio}}</td>
                                    <td>{{this.horaFin}}</td>
                                    <td>$ {{this.valorTotal}}</td>
                                    <td>{{this.paymentBrand}}</td>
                                </tr>
                                {{/each}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--FIN DE RESERVAS-->
<script>
    $(document).ready(function () {
    //data tables para realizar busquedas
    $('#tablaReservas').DataTable({
    "language": {
    "decimal": ".",
            "emptyTable": "No hay datos para mostrar",
            "info": "del _START_ al _END_ (_TOTAL_ total)",
            "infoEmpty": "del 0 al 0 (0 total)",
            "infoFiltered": "(filtrado de todas las _MAX_ entradas)",
            "infoPostFix": "",
            "thousands": "'",
            "lengthMenu": "Mostrar _MENU_ entradas",
            "loadingRecords": "Cargando...",
            "processing": "Procesando...",
            "search": "Buscar:",
            "zeroRecords": "No hay resultados",
            "paginate": {
            "first": "Primero",
                    "last": "Último",
                    "next": "Siguiente",
                    "previous": "Anterior"
            },
            "aria": {
            "sortAscending": ": ordenar de manera Ascendente",
                    "sortDescending": ": ordenar de manera Descendente "
            }
    }

    });
    });

</script>
